Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class Csomopont

    java.lang.Object
      orarend.Csomopont

All Implemented Interfaces:
  java.lang.Cloneable

    public class Csomopont

extends java.lang.Object
implements java.lang.Cloneable

Csomopont osztály, mely

Author:
  Csipkés László

Field Summary
`protected int` | `depth`
`protected Operator` | `op`
`private Csomopont` | `parent`
`protected Allapot` | `state`
`protected java.util.ArrayList<Operator>` | `usable`

Constructor Summary
`Csomopont(Allapot all)` Kezdőállapot konstruktora
`Csomopont(Allapot sz, Csomopont cs, Operator cse)` Közbeső csomópont konstruktora

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`Operator` | `getcsere()` Azt a cserét adja vissza, ami alkalmazásával az új állapotot kaptuk
`int` | `getDepth()` Mélységet visszaadó függvény
`Csomopont` | `getParent()` Szülőt visszaadó metódus
`Allapot` | `getState()` Az adott állapotot visszaadó metódus
`java.util.ArrayList` | `getUsable()` Az állapotra használható cseréket tartalmazó lista
`boolean` | `hasMoreChildre()` Az adott csomópont állapotából jöhet e létre új állapot
`Csomopont` | `nextChildren()` A csomópont első gyerekét adja visza
`void` | `setDepth(int i)` Mélységet beállító függvény

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### depth

    protected int depth

### parent

    private Csomopont parent

### op

    protected Operator op

### state

    protected Allapot state

### usable

    protected java.util.ArrayList<Operator> usable

Constructor Detail

### Csomopont

    public Csomopont(Allapot all)

  Kezdőállapot konstruktora

  Parameters:
    `all` - kezdőállapot

### Csomopont

    public Csomopont(Allapot sz,
                     Csomopont cs,
                     Operator cse)

  Közbeső csomópont konstruktora

  Parameters:
    `sz` - Az új állapot
    `cs` - Az aktuális csomópont szülőcsomópontja
    `cse` - A csere, amivel létrejött az új állapot

Method Detail

### getDepth

    public int getDepth()

  Mélységet visszaadó függvény

  Returns:
    mélység

### setDepth

    public void setDepth(int i)

  Mélységet beállító függvény

  Parameters:
    `i` - mélység

### getParent

    public Csomopont getParent()

  Szülőt visszaadó metódus

  Returns:
    szülő

### getcsere

    public Operator getcsere()

  Azt a cserét adja vissza, ami alkalmazásával az új állapotot kaptuk

  Returns:
    csere

### getState

    public Allapot getState()

  Az adott állapotot visszaadó metódus

  Returns:
    állapot

### getUsable

    public java.util.ArrayList getUsable()

  Az állapotra használható cseréket tartalmazó lista

  Returns:
    alkalmazható cserék

### hasMoreChildre

    public boolean hasMoreChildre()

  Az adott csomópont állapotából jöhet e létre új állapot

  Returns:
    true, ha van alkalmazható csere, egyébként false

### nextChildren

    public Csomopont nextChildren()

  A csomópont első gyerekét adja visza

  Returns:
    gyerekcsomópont

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD